# Class BandwidthUpdateEvent

#### Hierarchy (view full)

- BasePlayerEvent
  - BandwidthUpdateEvent

#####
Index

### Constructors

constructor

### Properties

bandwidthUpdateInfo
type

## Constructors

### constructor

- new BandwidthUpdateEvent(bandwidthUpdateInfo): BandwidthUpdateEvent

- #### Parameters

  - bandwidthUpdateInfo: BandwidthUpdateInfo

  #### Returns BandwidthUpdateEvent

  Overrides BasePlayerEvent.constructor

## Properties

### `Readonly` bandwidthUpdateInfo

bandwidthUpdateInfo: BandwidthUpdateInfo

### `Readonly` type

type: "bandwidthupdate" = Events.BandwidthUpdate

Overrides BasePlayerEvent.type